%global libname libaime

Name:            aime
Version:         7.20131209
Release:         1%{?dist}
Summary:         An application embeddable programming language interpreter
License:         GPLv3+
URL:             http://aime-embedded.sourceforge.net/
Source0:         http://downloads.sourceforge.net/project/aime-embedded/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Requires(post):  %{_sbindir}/install-info
Requires(preun): %{_sbindir}/install-info

%description
aime is a programming language, with a C like syntax, intended for application
extending purposes. The aime collection comprises the language description, an
application embeddable interpreter (libaime), the interpreter C interface
description and a standalone interpreter. Many examples on how the interpreter
can be used (embedded in an application) are also available, together with 
some hopefully useful applications, such as expression evaluators.

%package         devel
Summary:         Development files for %{name}
Requires:        %{name}%{?_isa} = %{version}-%{release}

%description     devel
This package contains header files for developing applications that 
use %{name}.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.a' -exec rm -f {} ';'
rm -f %{buildroot}%{_infodir}/dir

%post
install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
install-info %{_infodir}/%{libname}.info %{_infodir}/dir || :

%preun
install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
install-info --delete %{_infodir}/%{libname}.info %{_infodir}/dir || :

%files
%doc COPYING README TODO
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_infodir}/*.info*

%files devel
%{_includedir}/%{name}.h

%changelog
* Sat Dec 21 2013 Christopher Meng <rpm@cicku.me> - 7.20131209-1
- Update to 7.20131209

* Fri Oct 11 2013 Christopher Meng <rpm@cicku.me> - 6.20130921-1
- Update to 6.20130921

* Mon Aug 26 2013 Christopher Meng <rpm@cicku.me> - 6.20130824-1
- Update to 6.20130824

* Mon Jul 29 2013 Christopher Meng <rpm@cicku.me> - 6.20130713-1
- Update to 6.20130713

* Fri May 31 2013 Christopher Meng <rpm@cicku.me> - 5.20130520-1
- Initial Package.
